# $Revision: 1.11 $, $Date: 2008-03-16 23:29:31 $
# TODO:
# - tk gui (option -gui or -tk) get SIGSEGV after quit
# - consider move %{_bindir}/rpmorphan-lib.pl to other place
Summary:	rpmorphan - list the orphaned rpm packages
Summary(fr.UTF-8):	rpmorphan liste les packages rpm orphelins
Summary(pl.UTF-8):	rpmorphan - wyświetlanie listy osieroconych pakietów
Name:		rpmorphan
Version:	1.1
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/rpmorphan/%{name}-%{version}.tar.gz
# Source0-md5:	1b9e2e9b465218965d4761ef9fb7c9e2
URL:		http://rpmorphan.sourceforge.net/
Requires:	perl-modules
Suggests:	perl-Curses-UI
Suggests:	perl-Tk
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rpmorphan finds "orphaned" packages on your system. It determines
which packages have no other packages depending on their installation,
and shows you a list of these packages. It intends to be clone of
deborphan debian tools for rpm packages.

It will try to help you to remove unused packages, for example:
- after a distribution upgrade,
- when you want to suppress packages after some tests.

%description -l fr.UTF-8
Le logiciel rpmorphan liste les packages rpm qui n'ont plus de
dépendances avec les autres paquets installés sur votre systčme. C'est
un clone du logiciel deborphan de debian pour les packages rpm.

Il peut vous aider pour supprimer les packages inutilisés, par
exemple:
- aprčs une montée de version systčme,
- lors de la suppression de logiciels aprčs des tests.

%description -l pl.UTF-8
rpmorphan znajduje "osierocone" pakiety w systemie. Określa które
pakiety nie są zależnościami innych pakietów i wyświetla ich listę. W
zamyśle ma to być klon deborphana dla pakietów rpm.

Pomaga on usuwać nie używane pakiety, np.:
- po uaktualnieniu dystrybucji,
- kiedy chcemy usunąć pakiety po jakichś testach.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_bindir},/var/lib/%{name},%{_sysconfdir}}

ln -sf rpmorphan.pl $RPM_BUILD_ROOT%{_bindir}/rpmorphan
ln -sf rpmusage.pl $RPM_BUILD_ROOT%{_bindir}/rpmusage

install {rpmorphan,rpmorphan-lib,rpmusage}.pl $RPM_BUILD_ROOT%{_bindir}
install {rpmorphan,rpmusage}.1 $RPM_BUILD_ROOT%{_mandir}/man1

install rpmorphanrc.sample $RPM_BUILD_ROOT%{_sysconfdir}/rpmorphanrc

install keep $RPM_BUILD_ROOT/var/lib/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Authors Changelog NEWS Readme Todo
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpmorphanrc
%{_mandir}/man1/rpmorphan.1*
%{_mandir}/man1/rpmusage.1*
%dir /var/lib/%{name}
/var/lib/%{name}/keep

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpmorphan.spec,v $
Revision 1.11  2008-03-16 23:29:31  arvenil
- R: perl-modules

Revision 1.10  2008-03-16 23:11:59  arvenil
- release 1

Revision 1.9  2007-12-30 10:00:14  arvenil
- up to 1.1
- added TODO

Revision 1.8  2007-11-26 11:55:15  arvenil
- S: perl-Curses-UI (part of TODO)
- S: perl-Tk (part of TODO)

Revision 1.7  2007-05-09 09:30:12  arvenil
- up to 1.0

Revision 1.6  2007/04/07 14:45:19  mmazur
- typo

Revision 1.5  2007/04/03 16:41:38  arvenil
- up to 0.9
- updated TODO (gui works - I was just to stupid to run it)

Revision 1.4  2007/03/31 18:04:04  qboosh
- pl fixes, cleanup, md5

Revision 1.3  2007/03/26 21:38:49  arvenil
- better group
- let the author decide about capital letters in doc names
- added "Linux Software Map" doc

Revision 1.2  2007/03/26 20:06:29  arvenil
- init
- works but without a gui
